package com.inspect.patrolresultdefault.mapper;

import com.inspect.patrolresultdefault.domain.PatrolResultDefaultValue;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface PatrolResultDefaultValueMapper {
    PatrolResultDefaultValue selectPatrolResultDefaultValueByResultDefaultValueId(Long valueId);

    List<PatrolResultDefaultValue> selectPatrolResultDefaultValueList(PatrolResultDefaultValue defaultValue);

    int insertPatrolResultDefaultValue(PatrolResultDefaultValue defaultValue);

    int updatePatrolResultDefaultValue(PatrolResultDefaultValue defaultValue);

    int deletePatrolResultDefaultValueByResultDefaultValueId(Long valueId);

    int deletePatrolResultDefaultValueByResultDefaultValueIds(Long[] valueIds);
}
